Facturas
Crear una factura
Crea una factura en borrador. Los impuestos de cada ítem se derivan automáticamente del producto referenciado; solo envías el producto, la cantidad y el descuento. Para enviarla al SRI, usa luego el endpoint de envío.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
invoices
Crear una factura
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"payment_method": "<string>"
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices"
payload = { "invoice": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emission_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
],
"payment_method": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice: {
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
emission_point_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
items: [
{
product_variant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 123,
discount: 123
}
],
payment_method: '<string>'
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential": "<string>",
"emission_date": "2023-12-25",
"total": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"total": 123
}
],
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"store_code": "<string>"
},
"payment_method": "<string>",
"total_without_taxes": 123,
"total_discount": 123,
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta. Usa el de tu propia cuenta o el de una cuenta que administras.
Body
application/json
Show child attributes
Show child attributes
Response
La factura creada en borrador.
Show child attributes
Show child attributes
⌘I
Crear una factura
